# Code for paper Sensor Placement for Spatial Gaussian Processes with Integral Observations

## Description of files

### CT Scan experiments
- ct_optimize_angles.py : Compute optimal angles (sensor placement) for CT scan data using entropy.
- ct_fitGP.py : Fit a GP for specific set of angles.
- CT.ipynb : plots from the paper. Fit a GP for specific set of angles.

### Artificial data
- toydata.py : Commpute optimal sensor placement for a square using entropy or MI
- Toy data.ipynb: Plots from the paper

### Ultrasound data
- ultrasound.py : Compute optimal sensor placements using entropy.
- ultrasound.ipynb : Plots from the paper. Fit a GP for different functions when sets of lines are precomputed with ultrasound.py

